package com.happy.Model;


import lombok.Builder;

@Builder
public class BookingComment {
    //    主键
    private Integer id;

    //    回复评论id
    private String commentId;

    //    评论订单id
    private String bookingId;

    //    评论民宿id
    private String hotelId;

    //    评论房型id
    private String houseId;

    //    内容
    private String content;

    //    评价状态
    private String commentStatus;

    //    总评分
    private Double score;

    //    卫生评分
    private Double scoreWs;

    //    服务评分
    private Double scoreFw;

    //    设施评分
    private Double scoreSs;

    //    位置评分
    private Double scoreWz;

    //    创建人
    private Integer createId;

    private String createUsername;

    //    创建时间
    private String createDate;

    //    修改时间
    private String modifyDate;

    //    状态(0删除 1正常)
    private String status;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCommentId() {
        return commentId;
    }

    public void setCommentId(String commentId) {
        this.commentId = commentId;
    }

    public String getBookingId() {
        return bookingId;
    }

    public void setBookingId(String bookingId) {
        this.bookingId = bookingId;
    }

    public String getHotelId() {
        return hotelId;
    }

    public void setHotelId(String hotelId) {
        this.hotelId = hotelId;
    }

    public String getHouseId() {
        return houseId;
    }

    public void setHouseId(String houseId) {
        this.houseId = houseId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getCommentStatus() {
        return commentStatus;
    }

    public void setCommentStatus(String commentStatus) {
        this.commentStatus = commentStatus;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Double getScoreWs() {
        return scoreWs;
    }

    public void setScoreWs(Double scoreWs) {
        this.scoreWs = scoreWs;
    }

    public Double getScoreFw() {
        return scoreFw;
    }

    public void setScoreFw(Double scoreFw) {
        this.scoreFw = scoreFw;
    }

    public Double getScoreSs() {
        return scoreSs;
    }

    public void setScoreSs(Double scoreSs) {
        this.scoreSs = scoreSs;
    }

    public Double getScoreWz() {
        return scoreWz;
    }

    public void setScoreWz(Double scoreWz) {
        this.scoreWz = scoreWz;
    }

    public Integer getCreateId() {
        return createId;
    }

    public void setCreateId(Integer createId) {
        this.createId = createId;
    }

    public String getCreateUsername() {
        return createUsername;
    }

    public void setCreateUsername(String createUsername) {
        this.createUsername = createUsername;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getModifyDate() {
        return modifyDate;
    }

    public void setModifyDate(String modifyDate) {
        this.modifyDate = modifyDate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
